# class KJavaAppletServer | Provides a context for KJavaAppletWidgets. More...
Definition | `#include <kjavaappletserver.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KJavaAppletServer ()
- ~KJavaAppletServer ()
- void createContext ( int contextId, KJavaAppletContext* context )
- void destroyContext ( int contextId )
- void createApplet ( int contextId, int appletId, const QString name, const QString clazzName, const QString baseURL, const QString codeBase, const QString jarFile, QSize size, const QMap<QString, QString>& params, const QString windowTitle )
- void initApplet ( int contextId, int appletId )
- void destroyApplet ( int contextId, int appletId )
- void startApplet ( int contextId, int appletId )
- void stopApplet ( int contextId, int appletId )
- void sendURLData ( const QString& loaderID, const QString& url, const QByteArray& data )
- void quit ()
- QString appletLabel ()

#### Public Static Methods

- static KJavaAppletServer * allocateJavaServer ()
- static void freeJavaServer ()
- static QString getAppletLabel ()

#### Protected Methods

- void setupJava ( KJavaProcess* p )

#### Protected Slots

- void slotJavaRequest ( const QByteArray& qb )
- void checkShutdown ()

#### Protected Members

- KJavaProcess* process

## Detailed Description

Applets run in a context- (see the Java documentation for more information on contexts). Currently, each document in KHTML creates one context, in which multiple applets can run.

KJavaAppletServer () | ### KJavaAppletServer

Create the applet server. These shouldn't be used directly, use allocateJavaServer instead

~KJavaAppletServer () | ### ~KJavaAppletServer

KJavaAppletServer * allocateJavaServer () | ### allocateJavaServer

[static]

A factory method that returns the default server. This is the way this class is usually instantiated.

void freeJavaServer () | ### freeJavaServer

[static]

When you are done using your reference to the AppletServer, you must dereference it by calling freeJavaServer().

QString getAppletLabel () | ### getAppletLabel

[static]

This allows the KJavaAppletWidget to display some feedback in a QLabel while the applet is being loaded. If the java process could not be started, an error message is displayed instead.

void createContext ( int contextId, KJavaAppletContext* context ) | ### createContext

Create an applet context with the specified id.

void destroyContext ( int contextId ) | ### destroyContext

Destroy the applet context with the specified id. All the applets in the context will be destroyed as well.

void createApplet ( int contextId, int appletId, const QString name, const QString clazzName, const QString baseURL, const QString codeBase, const QString jarFile, QSize size, const QMap<QString, QString>& params, const QString windowTitle ) | ### createApplet

Create an applet in the specified context with the specified id. The applet name, class etc. are specified in the same way as in the HTML APPLET tag.

void initApplet ( int contextId, int appletId ) | ### initApplet

This should be called by the KJavaAppletWidget

void destroyApplet ( int contextId, int appletId ) | ### destroyApplet

Destroy an applet in the specified context with the specified id.

void startApplet ( int contextId, int appletId ) | ### startApplet

Start the specified applet.

void stopApplet ( int contextId, int appletId ) | ### stopApplet

Stop the specified applet.

void sendURLData ( const QString& loaderID, const QString& url, const QByteArray& data ) | ### sendURLData

Send data we got back from a KJavaDownloader back to the appropriate class loader. (This is currently unimplemented on the java side.

void quit () | ### quit

Shut down the KJAS server.

QString appletLabel () | ### appletLabel

void setupJava ( KJavaProcess* p ) | ### setupJava

[protected]

KJavaProcess* process | ### process

[protected]

void slotJavaRequest ( const QByteArray& qb ) | ### slotJavaRequest

[protected slots slot]

void checkShutdown () | ### checkShutdown

[protected slots slot]

- Version: $Id: kjavaappletcontext.h,v 1.13 2001/01/23 17:30:01 wynnw Exp $
- Author: Wynn Wilkes, wynnw@caldera.com
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:59 2001, using kdoc 2.0a53.